# DungeonGenerator

by 

![N|Simon Moser IT](https://smoser.eu/wp-content/uploads/cropped-logo_fb.png)

With DungeonGenerator you can generate your DSA dungeon in less than a minute. Just select how your dungeon should look like and press generate, and you get a nice dungeon with text description and a graph for visualizing.

You can make the following settings:
- Number of rooms
- Type of dungeons (natural or artificial)
- Mode of generation (long straight dungeon, branched dungeon or completely random dungeon)

The dungeon includes the following features:
- short description of rooms and exits
- traps in rooms and exits
- enemies in rooms
- big variety of treasures in rooms
- magical and special phenomenons in rooms
- random encounters for using at  the dungeon masters will

### Tech

DungeonGenerator uses a number of open source projects to work properly:

* [JGraph](https://www.jgraph.com/) - Java based graph creation and visualization
* Java - Great language for easy gui programming
* [Netbeans](https://netbeans.org/) - Nice IDE for Java

And of course DungeonGenerator itself is open source with a [public repository](https://github.com/MrMcX/DungeonGenerator) on GitHub.

### Development

Want to contribute? Great!

I'm using [Netbeans](https://netbeans.org/) for fast developing.

### Simon Moser IT

More details coming soon.


### Todos

 - Implement more random stuff
 - Implement pdf export
 - Fix bugs
 - Imagine more possibilities

License
----

The MIT License (MIT)

Copyright (c) 2016 Simon Moser IT

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


**Free Software, Hell Yeah!**
